package com.redxun.knowledge.analysis.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * 文件名: PersonVisitDto
 * 作者: zizg
 * 时间: 2023/5/23
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("人员访问量")
@Data
public class PersonVisitDto implements Serializable {

    @ApiModelProperty("维度 月month 年year 全部total")
    private String type;

    //@NotEmpty(message = "组织Id不能为空")
    @ApiModelProperty("组织id,只支持选择一个组织")
    private String organizationId;

    @ApiModelProperty("人员id(数组)")
    private List<String> personId;

    @ApiModelProperty("开始时间")
    private String createTime;

    @ApiModelProperty("结束时间")
    private String endTime;


}
