package com.redxun.knowledge.map.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.redxun.knowledge.entity.vo.KnowledgeCategoryAdminVo;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 文件名: KnowledgeVo
 * 作者: Zizg
 * 时间: 2023/1/16
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
public class KnowledgeVo implements Serializable {

    //知识Id
    private String pkId;

    //知识分类
    private List<String> category;

    //知识名称
    private String titles;

    //知识简介
    private String summary;

    //作者
    private String author;

    //作者头像Id
    private String authorHead;

    //创建时间
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date createTime;

    //浏览数量
    private Integer views;

    //附件类型
    private String attachmentType;


}
