package com.redxun.knowledge.analysis.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 文件名: DownloadDto
 * 作者: zizg
 * 时间: 2023/6/1
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("文件导出")
@Data
public class DownloadDto extends PersonVisitDto{

    @ApiModelProperty("导出模块 1 综合统计 2 仓库统计 3 专辑统计 4 地图统计 5 搜索统计")
    @NotNull(message = "导出模块不能为空")
    private Integer name;

    @ApiModelProperty("导出类型 1 人员 2 部门")
    @NotNull(message = "导出类型不能为空")
    private Integer downType;

}
